<?php
if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to ' . basename(__FILE__) . ' is not allowed.');
defined("DS") OR define("DS", DIRECTORY_SEPARATOR);
/**
 * @package VehicleManager LocationMap
 * @author Andrey Kvasnevskiy - OrdaSoft (akbet@mail.ru); Sergey Brovko - OrdaSoft (brovinho@mail.ru)
 * @copyright 2009 by OrdaSoft
 * Homepage: http://www.ordasoft.com
 * @description Location map for VehicleManager
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );

$f_path = JPATH_BASE .'/components/com_vehiclemanager/functions.php';
if (!file_exists($f_path)){
    echo "To display this module You have to install VehicleManager first<br />"; exit;
} else require_once ($f_path);

vmLittleThings::language_load_VM();

require_once (dirname(__FILE__).'/helper.php');
$doc = JFactory::getDocument();
$doc->addStyleSheet(JURI::base(true).'/components/com_vehiclemanager/includes/vehiclemanager.css');
$list = modVMLocationHelper::getLink($params);

require JModuleHelper::getLayoutPath('mod_vehiclemanager_location_map',$params->get('layout', 'default'));
